
notes = new Passpack.static({

  _init: function () {
    // browser history loop to avoid broken back button:
    $.historyInit(function () {});
    for (var j = 10; j >= 0; j--) $.historyLoad(j);
  },

  ajax: function (pars, callback) {
    // shortcut function to launch XMLHttpRequest call:
    $.ajax({
      url: "logon.php",
      type: "POST",
      data: pars,
      complete: callback
    });


  },


  start: function () {
    $("#intro").show()
    $("#wrapper").submit(function () {
      notes.check();
      return false;
    });
    dbIsOk && $("#userid")[0].focus();
  },

  check: function () {
    $("#error").html("");
    // reads userid and password typed by user
    var userid = $("#userid").val();
    var password = $("#password").val();
    var retype = $("#retype").val();
    if (!userid || !password || (retype && password != retype)) $("#error").text("Oops, there is some error...");
    else {
      // call the server passing a base64 encoded userid and the hash of the password
      this.ajax({
        //  userid using Base64+ (to avoid charset problems)
        userid: Passpack.encode("Base64+", userid),
        // hash the password (server never know the password)
        passwordhash: Passpack.utils.hashx(password),

        // ask the server for a signup, if applicable
        signup: retype ? true : false
      },
      this.load);

      // set user and password properties
      this.userid = userid;
      this.password = password;
      // set the master key creating a 256-bit key concatenating the password
      this.masterkey = Passpack.utils.hashx(password + Passpack.utils.hashx(password, 1, 1), 1, 1);
    }
    return false;
  },

  load: function (response) {
    if (response && response.responseText) {
      var rt = Passpack.JSON.parse(response.responseText);
      if (rt.ok) $("#wrapper").hide(),
      notes.fill();
      else $("#error").text(rt.message);
      return;
    }
    $("#error").text("Oops, there is some server error...");
  },

  fill: function () {
    $("#intro").hide();
    $("#signout").click(function () {
      delete notes.userid;
      delete notes.password;
      delete notes.masterkey;
    }),
    $(document).ready(function () {
    
     location.replace ("view.php")

    })
  },
});


$(document).ready(function () {
  notes.start();
});